server.port=8322
spring.application.name=smart-city-v2-user
logging.level.root=info
logging.level.com.alibaba.nacos.client.naming=error
logging.path=/opt/uat/smartcity-user/logs
#\u6570\u636E\u5E93\u914D\u7F6E
spring.datasource.url=jdbc:mysql://10.0.0.161:3305/smart_city_v2?characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&zeroDateTimeBehavior=convertToNull
spring.datasource.username=root
spring.datasource.password=100Zone@123
spring.datasource.druid.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.druid.filters=stat
spring.datasource.druid.minIdle=1
spring.datasource.druid.pool-prepared-statements=true
spring.datasource.druid.max-open-prepared-statements=20
spring.datasource.druid.test-on-return=false
spring.datasource.druid.test-on-borrow=false
spring.datasource.druid.test-while-idle=true
spring.datasource.druid.validation-query=select 'x'
spring.datasource.druid.min-evictable-idle-time-millis=300000
spring.datasource.druid.time-between-eviction-runs-millis=60000
spring.datasource.druid.max-active=20
spring.datasource.druid.max-wait=60000
spring.datasource.druid.initial-size=1

mybatis.mapper-locations=classpath*:mapper/*.xml
mybatis.type-aliases-package=com.zcxk.*.entity
mybatis.configuration.map-underscore-to-camel-case=true
mybatis.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
mybatis.configuration.use-column-label=true

spring.jackson.time-zone=GMT+8
#spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
#spring.jackson.joda-date-time-format: yyyy-MM-dd HH:mm:ss

# redis
spring.redis.host=10.0.0.161
spring.redis.port=6379
spring.redis.password=zoniot
#spring.redis.database=13
spring.redis.timeout=36000

# Lettuce
# \u8FDE\u63A5\u6C60\u6700\u5927\u8FDE\u63A5\u6570\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.lettuce.pool.max-active=8
# \u8FDE\u63A5\u6C60\u6700\u5927\u963B\u585E\u7B49\u5F85\u65F6\u95F4\uFF08\u4F7F\u7528\u8D1F\u503C\u8868\u793A\u6CA1\u6709\u9650\u5236\uFF09
spring.redis.lettuce.pool.max-wait=100
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5927\u7A7A\u95F2\u8FDE\u63A5
spring.redis.lettuce.pool.max-idle=8
# \u8FDE\u63A5\u6C60\u4E2D\u7684\u6700\u5C0F\u7A7A\u95F2\u8FDE\u63A5
spring.redis.lettuce.pool.min-idle=0
# \u5173\u95ED\u8D85\u65F6\u65F6\u95F4
spring.redis.lettuce.shutdown-timeout=100



spring.servlet.multipart.max-file-size=100MB
spring.servlet.multipart.max-request-size=100MB
spring.servlet.multipart.location=/opt/uat/smartcity-user/data

#kafka server
spring.kafka.bootstrap-servers=10.0.0.161:6377
#kafka consumer config
spring.kafka.consumer.group-id=user-group-uat
spring.kafka.consumer.auto-offset-reset=latest
spring.kafka.consumer.enable-auto-commit=true
#kafka producer config
spring.kafka.producer.retries=0
spring.kafka.producer.batch-size=4096
spring.kafka.producer.buffer-memory=40960
com.zcxk.kafka.operation-log.topic=operation_log_uat
spring.kafka.producer.value-serializer=org.springframework.kafka.support.serializer.JsonSerializer
spring.kafka.consumer.value-deserializer=org.springframework.kafka.support.serializer.JsonDeserializer
spring.kafka.consumer.properties.spring.json.trusted.packages=*

#nacos
spring.cloud.nacos.discovery.server-addr=10.0.0.155:8330



#dubbo
dubbo.scan.base-packages=com.zcxk.user
dubbo.protocol.name=dubbo
dubbo.protocol.port=-1
dubbo.registry.address=spring-cloud://localhost
dubbo.cloud.subscribed-services=smart-city-v2-admin
spring.main.allow-bean-definition-overriding=true

dubbo.application.qos-enable=true
dubbo.application.qos-port=33333
dubbo.application.qos-accept-foreign-ip=false


#登录授权推送模板ID
login.auth.tips.template=7lh0fkmppfPywI4YfrnMOAKQTGXzjueU6awMRD7KRUk
spring.cloud.stream.bindings.wechat-notify-message.destination=wechat_notify_channel_uat

#单点登录第三方请求url
sso.xieding.get.pwd.url=%s!getSingleLandUser.action?account=%s&orgCode=%s
sso.xieding.bind.single.url=%s!bindingSingleLandUser.action?account=%s&password=%s&orgCode=%s
sso.xieding.get.token.url=%s!createSingleLandToken.action?singleKey=%s&timestamp=%s&signatrue=%s&code=%s
sso.xieding.login.url=%s!checkSingleLandToken.action?tokenKey=%s&systemType=%s